"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
function _react() {
  const data = _interopRequireDefault(require("react"));
  _react = function () {
    return data;
  };
  return data;
}
function _client() {
  const data = require("react-dom/client");
  _client = function () {
    return data;
  };
  return data;
}
function _reactUi() {
  const data = require("@teambit/react.ui.docs-app");
  _reactUi = function () {
    return data;
  };
  return data;
}
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * a reference to a provider function.
 */

function createDocsTemplate(Provider = _react().default.Fragment, docsRootElement) {
  const DocsTemplate = ({
    componentId,
    docs,
    compositions,
    context
  }) => {
    const rootElm = docsRootElement ?? document.getElementById('root');
    const root = (0, _client().createRoot)(rootElm);
    root.render( /*#__PURE__*/_react().default.createElement(Provider, null, /*#__PURE__*/_react().default.createElement(_reactUi().DocsApp, {
      componentId: componentId,
      docs: docs,
      compositions: compositions,
      context: context
    })));
  };
  DocsTemplate.apiObject = true;
  return DocsTemplate;
}
const DocsLayout = ({
  children
}) => {
  return /*#__PURE__*/_react().default.createElement(_react().default.Fragment, null, children);
};

/**
 * customize the bit documentation template or
 * replace this with one of your own.
 */
var _default = exports.default = createDocsTemplate(DocsLayout);

//# sourceMappingURL=docs-template.js.map