/*
 ** REFERENCE: https://github.com/frenic/csstype#what-should-i-do-when-i-get-type-errors
 ** ALTERNATIVES: https://stackoverflow.com/questions/52005083/how-to-define-css-variables-in-style-attribute-in-react-and-typescript
 */
declare module 'csstype' {
  interface Properties {
    '--background-color'?: string;
    '--background-color-active'?: string;
    [index: `--color-id--${string}`]: string;
  }
}
