"use strict";

/**
 * @see https://bit.dev/reference/eslint/eslint-config
 */
module.exports = {
  extends: [require.resolve('@teambit/react.react-env/config/eslintrc')
  // 'standard-with-typescript',
  // 'plugin:react/recommended',
  // 'prettier',
  ],
  plugins: ['react'],
  rules: {
    // Note: disable the base rule as it can report incorrect or duplicate errors
    'no-unused-vars': ['off'],
    '@typescript-eslint/no-unused-vars': ['error', {
      varsIgnorePattern: '^_',
      argsIgnorePattern: '^_'
    }],
    'jsx-a11y/label-has-associated-control': ['error', {
      assert: 'either',
      depth: 3
    }]
  }
};

//# sourceMappingURL=eslintrc.js.map